Summary:   Qt support library for PackageKit
Name:      PackageKit-Qt
Version:   0.8.8
Release:   1%{?dist}

License:   LGPLv2+
URL:       http://www.packagekit.org/
Source0:   http://www.packagekit.org/releases/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: pkgconfig(QtDBus) pkgconfig(QtSql)

Obsoletes: PackageKit-qt < 0.8.6
Provides:  PackageKit-qt = %{version}-%{release}
Provides:  PackageKit-qt%{?_isa} = %{version}-%{release}

# required for /usr/share/dbus-1/interfaces/*.xml
BuildRequires: PackageKit

%description
PackageKit-qt is a Qt support library for PackageKit

%package devel
Summary: Development headers for PackageKit-Qt
Requires: %{name}%{?_isa} = %{version}-%{release}

Obsoletes: PackageKit-qt-devel < 0.8.6
Provides:  PackageKit-qt-devel = %{version}-%{release}

%description devel
Development headers and libraries for PackageKit-Qt.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
  -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir} \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS NEWS COPYING
%{_libdir}/libpackagekit-qt2.so.%{version}
%{_libdir}/libpackagekit-qt2.so.6*

%files devel
%{_libdir}/libpackagekit-qt2.so
%{_libdir}/pkgconfig/packagekit-qt2.pc
%dir %{_includedir}/PackageKit
%{_includedir}/PackageKit/packagekit-qt2/
%dir %{_libdir}/cmake
%{_libdir}/cmake/packagekit-qt2/


%changelog
* Thu May 09 2013 Richard Hughes <richard@hughsie.com> 0.8.8-1
- New upstream release
- Adding Provides property to Daemon
- Adding some Meta information
- Add missing declare enums
- Adds the transactionFlags to the Transaction class
- Add TransactionFlags registration
- Fix searchGroups() be iterating over the flaged values
- Ignore Interface isValid() check
- Implement connectNotify and disconnectNotify
- Improve error handling and make it easier for QML use it
- Make sure we set an error if we fail to contact PackageKit

* Thu Mar 07 2013 Rex Dieter <rdieter@fedoraproject.org> 0.8.7-3
- pickup/test upstream crash fix (kde#315009)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 17 2013 Richard Hughes <richard@hughsie.com> 0.8.7-1
- New upstream release
- Add back the destroy() signal
- Make our package spliters static
- Make sure we waitForFinishe() when getting the TransactionList
- Only call Cancel() if the transaction proxy exist
- The full namespace is needed for a slot to be called
- Workaround Qt bug not contructing default values when the call fails

* Mon Nov 26 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.6-3
- fixup dir ownership
- use pkgconfig-style deps
- tighten subpkg dep via %%?_isa

* Mon Nov 26 2012 Richard Hughes <richard@hughsie.com> 0.8.6-2
- Added obsoletes/provides as required for the Fedora package review

* Mon Nov 26 2012 Richard Hughes <richard@hughsie.com> 0.8.6-1
- Initial version for Fedora package review
